%global namedreltag -alpha-1
%global namedversion %{version}%{?namedreltag}
Name:          ianal-maven-plugin
Version:       1.0
Release:       %mkrel 1
Summary:       IANAL Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/ianal-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/ianal-maven-plugin-1.0-alpha-1
# tar czf ianal-maven-plugin-1.0-alpha-1-src-svn.tar.gz ianal-maven-plugin-1.0-alpha-1
Source0:       ianal-maven-plugin-%{namedversion}-src-svn.tar.gz

Patch0:        ianal-maven-plugin-1.0-alpha-1-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: gmaven
BuildRequires: gmaven-runtime-1.5
BuildRequires: gmaven-runtime-1.6

BuildRequires: apache-resource-bundles
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-source-plugin

Requires:      gmaven

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
"I am not a laywer" and I don't want to become one. This plugin
helps to ensure that projects conform to legal standards
which their organization requires.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ianal-maven-plugin-%{namedversion}
%patch0 -p0
# require gmaven == 1.0
sed -i "s|import org.codehaus.groovy.maven.mojo.GroovyMojo|import org.codehaus.gmaven.mojo.GroovyMojo|" src/main/groovy/org/codehaus/mojo/ianal/VerifyLegalFilesMojo.groovy

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Nov 27 2011 gil <gil> 1.0-1.mga2
+ Revision: 172880
- fix BR
- imported package ianal-maven-plugin

